Results 1 to 9 of 9

Thread: get update error (newbie)

  1. #1
    Join Date
    Dec 2012
    Beans
    5

    Exclamation get update error (newbie)

    so i am somewhat new to ubuntu and i am running precise.
    i am unable to install anything so i am try to run apt-get update and it looks like it starts to work then it gets to the bottom and says "Reading package lists" and gets to 99% then stops and says,
    "Reading package lists... Error!
    E: Read error - read (5: Input/output error)
    E: The package lists or status file could not be parsed or opened."
    so now i cant figure out what to do :/
    please help it would be greatly appreciated.

  2. #2
    Join Date
    Apr 2007
    Location
    Hamden, CT
    Beans
    649
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: get update error (newbie)

    First make sure that no applications like Ubuntu Software Center/Update manager are open and running.

    Then launch a terminal window, CTRL + ALT + TAB, and type:

    Code:
    sudo apt-get update
    Post back with any errors.

    If all goes well you should also update the system with:

    Code:
    sudo apt-get upgrade

  3. #3
    Join Date
    Dec 2012
    Beans
    5

    Re: get update error (newbie)

    see thats what i was doing but when it says "reading package lists" it stops at 99 then says,
    Reading package lists... Error!
    E: Read error - read (5: Input/output error)
    E: The package lists or status file could not be parsed or opened.

    also i have a red circle with a white line at the top right of my screen

  4. #4
    Join Date
    Jul 2006
    Location
    Castrum, Germania Secunda
    Beans
    1,071

    Re: get update error (newbie)

    Start with a fresh list:
    Code:
    sudo rm /var/lib/apt/lists/* -vf && sudo apt-get update
    Tips, tweaks and how-to's for Ubuntu and Mint:
    http://sites.google.com/site/easylinuxtipsproject
    In for a pleasant surprise? Give Xubuntu a try:
    http://sites.google.com/site/easylin...roject/xubuntu

  5. #5
    Join Date
    Dec 2012
    Beans
    5

    Re: get update error (newbie)

    whenever i do anything that has to read package lists its say that error
    Reading package lists... Error!
    E: Read error - read (5: Input/output error)
    E: The package lists or status file could not be parsed or opened.

  6. #6
    Join Date
    Apr 2007
    Location
    Hamden, CT
    Beans
    649
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: get update error (newbie)

    Quote Originally Posted by codyyy67 View Post
    whenever i do anything that has to read package lists its say that error
    Reading package lists... Error!
    E: Read error - read (5: Input/output error)
    E: The package lists or status file could not be parsed or opened.
    Did you try what Pjotr123 said?

  7. #7
    Join Date
    Dec 2012
    Beans
    5

    Re: get update error (newbie)

    yeah i tried that but it didnt change anything

  8. #8
    Join Date
    Dec 2012
    Beans
    5

    Re: get update error (newbie)

    i just want to be able to install stuff again lol

  9. #9
    Join Date
    Apr 2007
    Location
    Hamden, CT
    Beans
    649
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: get update error (newbie)

    Try the fix suggested by RedSingularity in the following link.

    https://bugs.launchpad.net/ubuntu/+s...er/+bug/829185

    Let us know if it works.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •